Bug 1282557 - Please update and support python3
Please update and support python3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-bitarray (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Bebout
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
  Show dependency treegraph
 
Reported: 2015-11-16 13:02 EST by William Moreno
Modified: 2016-07-18 16:54 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-bitarray-0.8.1-2.fc24 python-bitarray-0.8.1-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-12 16:27:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
simple update to 0.8.1 (1.12 KB, patch)
2016-02-02 21:08 EST, Sergio Monteiro Basto
no flags Details | Diff
add Python 3 & update version patch for specfile (4.32 KB, patch)
2016-06-09 09:31 EDT, Dominika Krejčí
no flags Details | Diff

  None (edit)
Description William Moreno 2015-11-16 13:02:32 EST
Hi

Please update to the last version and enable the support for python3 as part of the move of Fedora to python3
Comment 1 Sergio Monteiro Basto 2016-02-02 10:37:06 EST
BTW: version upstream is 0.8.1

https://pypi.python.org/pypi/bitarray/
Comment 2 Sergio Monteiro Basto 2016-02-02 21:08 EST
Created attachment 1120623 [details]
simple update to 0.8.1

I built it in copr [1] and it is working here.


Best regards,

[1] 
https://copr.fedorainfracloud.org/coprs/sergiomb/buildsforF21/build/157524/
Comment 3 Charalampos Stratakis 2016-02-15 10:41:16 EST
Ping?

No response as of yet from maintainer
Comment 4 Jan Kurik 2016-02-24 08:59:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Petr Viktorin 2016-04-19 10:51:22 EDT
Ramakrishna, do Sergio's changes look good to you?
Do you need any help with the update?
Comment 6 Sergio Monteiro Basto 2016-04-19 12:33:46 EDT
I already request acls 

https://admin.fedoraproject.org/pkgdb/package/rpms/python-bitarray/
Comment 7 Dominika Krejčí 2016-06-09 09:31 EDT
Created attachment 1166297 [details]
add Python 3 & update version patch for specfile

Hi Ramakrishna,
here is the change needed to add Python 3 support and update to latest version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14435299

Also tested in Mock (fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-i386, fedora-rawhide-x86_64).
Comment 8 Sergio Monteiro Basto 2016-06-09 17:01:12 EDT
(In reply to Dominika Krejčí from comment #7)
> Created attachment 1166297 [details]

Patch looks good, Ramakrishna Reddy seems unresponsive [1] 
have you permission to commit in git packages (package maintainer), if yes you may apply policy_for_nonresponsive_package_maintainers , I also have some interest on update it 


[1] https://bugzilla.redhat.com/show_bug.cgi?id=1325461#c1
Comment 9 Fedora Admin XMLRPC Client 2016-06-30 02:01:13 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Ramakrishna Reddy 2016-06-30 02:21:02 EDT
@sergio, I have given you necessary permissions to update the python-bitarray.
Comment 11 Fedora Update System 2016-06-30 19:44:42 EDT
python-bitarray-0.8.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1ef628e65
Comment 12 Fedora Update System 2016-06-30 20:11:17 EDT
python-bitarray-0.8.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-51f213b03b
Comment 13 Fedora Update System 2016-07-02 16:30:32 EDT
python-bitarray-0.8.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1ef628e65
Comment 14 Fedora Update System 2016-07-02 16:55:50 EDT
python-bitarray-0.8.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-51f213b03b
Comment 15 Fedora Update System 2016-07-03 19:19:42 EDT
python-bitarray-0.8.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-19a4aadffd
Comment 16 Fedora Update System 2016-07-03 19:20:07 EDT
python-bitarray-0.8.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e16adf674a
Comment 17 Fedora Update System 2016-07-05 04:53:29 EDT
python-bitarray-0.8.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-19a4aadffd
Comment 18 Fedora Update System 2016-07-05 11:24:27 EDT
python-bitarray-0.8.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e16adf674a
Comment 19 Fedora Update System 2016-07-12 16:27:03 EDT
python-bitarray-0.8.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-07-18 16:54:50 EDT
python-bitarray-0.8.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.